Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 594434 - Missing default iSCSI initiator name in rescue mode
Missing default iSCSI initiator name in rescue mode
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Hans de Goede
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-20 12:22 EDT by Alexander Todorov
Modified: 2010-07-02 16:49 EDT (History)
1 user (show)

See Also:
Fixed In Version: anaconda-13.21.46-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 16:49:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2010-05-20 12:22:43 EDT
Description of problem:
In rescue mode when adding iSCSI target the iSCSI initiator field is empty. This leads to the error message: Must provide a non-zero length string

In GUI mode this field has e default value set automatically.

Version-Release number of selected component (if applicable):
anaconda-13.21.39-1.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. Start rescue mode and add iSCSI target
2. Fill in only the IP address of the target and press OK
3.
  
Actual results:
Error

Expected results:
iscsi initiator name field has a default value like in GUI mode

Additional info:
Comment 1 RHEL Product and Program Management 2010-05-20 13:46:44 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Marian Ganisin 2010-05-21 05:40:34 EDT
Error message is too brief:

Error: Must provide a non-zero length string

There isn't clue between this message and initiator name field.
Comment 3 Hans de Goede 2010-05-21 05:56:09 EDT
(In reply to comment #2)
> Error message is too brief:
> 
> Error: Must provide a non-zero length string
> 
> There isn't clue between this message and initiator name field.    

Good point, easy to fix. I'll fix this under this bug id as well.
Comment 4 Hans de Goede 2010-05-22 07:32:41 EDT
This is fixed in anaconda-13.21.46-1, moving to modified.
Comment 6 Alexander Todorov 2010-05-31 07:22:52 EDT
With anaconda 13.21.48 the iSCSI initiator name is set to iqn.1994-05.com.domain:XXXX.

Without the iSCSI initiator name the error message now reads:
Must provide an iSCSI initiator name.


Moving to VERIFIED.
Comment 7 releng-rhel@redhat.com 2010-07-02 16:49:59 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.